The contest was held yesterday on September 17. Mostly it is focused on the participants of the Div 2.

Note that you can print PDF (English or Russian) with the statements. It will be available on the contest dashboard page on the right.

Good luck!

Before contest

Codeforces Round #679 (Div. 1, based on Technocup 2021 Elimination Round 1)

11:11:00

Register now »

Codeforces Round #679 (Div. 1, based on Technocup 2021 Elimination Round 1)

11:11:00

Register now »

*has extra registration

Before contest

Codeforces Round #679 (Div. 2, based on Technocup 2021 Elimination Round 1)

11:11:01

Register now »

Codeforces Round #679 (Div. 2, based on Technocup 2021 Elimination Round 1)

11:11:01

Register now »

*has extra registration

# | User | Rating |
---|---|---|

1 | Um_nik | 3538 |

2 | tourist | 3509 |

3 | Benq | 3473 |

4 | ecnerwala | 3446 |

5 | ksun48 | 3432 |

6 | maroonrk | 3404 |

7 | Radewoosh | 3383 |

8 | yosupo | 3324 |

9 | boboniu | 3300 |

10 | apiadu | 3238 |

# | User | Contrib. |
---|---|---|

1 | Errichto | 207 |

2 | Monogon | 199 |

3 | SecondThread | 193 |

4 | vovuh | 189 |

5 | antontrygubO_o | 186 |

5 | Um_nik | 186 |

7 | pikmike | 184 |

8 | Ashishgup | 182 |

9 | pashka | 169 |

10 | Radewoosh | 167 |

The contest was held yesterday on September 17. Mostly it is focused on the participants of the Div 2.

Note that you can print PDF (English or Russian) with the statements. It will be available on the contest dashboard page on the right.

Good luck!

Announcement of 2017-2018 ACM-ICPC, NEERC, Southern Subregional Contest, qualification stage (Online Mirror, ACM-ICPC Rules, Teams Preferred)

↑

↓

Codeforces (c) Copyright 2010-2020 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Oct/25/2020 02:54:00 (h1).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|

Hope it will be rated

Stop daydreaming...

Codeforces is on fire, two days ago MemSql, yesterday Technocup, today neerc and tomorrow one div2 contest!

Where is div2 announcement?

Here.

Is it rated?

No

I wonder if rated?

Why doesnt you add this kind of Contest to a Programmers Contest log...Please add this feature adding Educational Round and Other contests in a programmers Contest log

How to solve J, L?

J can be solved by binary search on the answer and using max flow to check if it can be done.

For L, notice that in a valid tree, there is an edge between nodes

aandbif and only if the sum of the size ofa's set containingband the size ofb's set containingais equal ton. Then once we have all the pairs which must be edges, we check if it forms a valid tree.Nice solution for L :) I used a different, not so beautiful idea: we can find arbitrary leaf of the tree (and its parent) by looking for set of size 1. After that we can add the edge that we found to the answer and remove given leaf from the tree, moving to the equivalent problem for smaller graph.

J: Binary search the answer. Suppose we have to check if each student can send no more than

kgifts. Create a flow with a sources, a sinkt,mvertices represent a student pair (p_{i}mean i-th pair) andnvertices on the right (stu_{i}mean i-th student). For pairi, create edge (s,p_{i}, 1) and two edges (p_{i},stu_{xi}, 1), (p_{i},stu_{yi}, 1). For studenti, create edge (std_{i},t,min(deg_{i},k)) withdeg_{i}mean the number of student pair that has studenti. Run Dinic max flow algorithm (which work in O() due to Karzanov theorem) and check if max flow equal tom.There's a O(m^2) solution for J without binary search.

http://catalog.lib.kyushu-u.ac.jp/handle/2324/14869/IJFCS-revision.pdf

Exactly! A quick Google search for "orient undirected graph minimize out degree" finds this paper.

In which site can we find the official rank list(not the mirror)?

Official rank list

Official rank list + unofficial commands

How to solve D?

First observation. Let's wait only in the start point. Now to eat the i-th food the dog need to start in any moment from

[t_i — i, T — i -1].

Now we need just count the intersection of maximum number of segments.

Why is it allowed to wait in the start point?

The statement says: "After the show starts the dog immediately begins to run to the right to the first bowl."

Am I missing something?

see if we start at moment zero and wait at some place then it will be more logical to spend that time in the beginning as it may happen that because of this waiting some food(on the way to that food for which we are waiting) which dog was not able to eat(when he start at moment 0) but now he can eat it !

can you please explain how to find intersection ?

i have tried it but my code failed in test case 121 (:

my approach : i have created pairs and then sort them and just iterate them with the help of two pointers.

my code : http://codeforces.com/contest/847/submission/30774626

I made more than 9 submissions to B, but i keep getting time limit exceeded!! My solution is O(mn) where m is the number of strictly increasing subsequences. Any help? Some people even solved it withing 100 milliseconds :O

when m = n your solution is O(N^2) :)

I made a video explaining my approach to problem k here https://www.youtube.com/watch?v=73s1wyykELQ&feature=youtu.be

A minute of advertisement and half-farewell.

Since 2012 my university (Samara U, previously Samara SAU) has been preparing two big contests in a year:

Intercollegiate Contestand

Qualification for Subregional ContestIf you are yellow or lower, you may have a nice time solving them.

Now our subregional has an official, approved by Baylor, Qualification contest (this one). So, there won't be qualification contests from my university anymore. We will prepare only one big contest per year, so see you in April or May 2018.

My solution for B, has O(Nlog^2(N)). Why TLE 15? http://codeforces.com/contest/847/submission/30481489

Any hints for E? I think it's supposed to be easy but I'm stuck.

Think about binary search.

First of all, it's not that easy. The fact tourist solves it in 4 minutes doesn't make it easy for a 1800 person. Don't let the standings deceive you.

This is the solutionBinary search the answer, iterate over stars from left to right, try to get the star with the leftmost pacman, consider two ways: 1) go left to the star, then go right, and 2) (tricky!) go right as long as you can, then go left and get the star.

While I was participating in the virtual contest, I was solving some problems solved by fewer people than E, that's why I thought E was supposed to be easy (and why I was punching myself for not getting it). Though it seems like by the end of the contest all 8 problems I solved were ultimately solved by more people than E (E being the first unsolved one in order of number of people which solved it).

Anyway, I thought about binary search but I couldn't figure out how to answer the decision problem for a given time. To be honest, it's still not clear for me from your explanation but I'll try to go from here. Thanks.

Check this problem (solution is in the editorial for CF round 200).

343C — Read Time

Thanks for this!

can you please explain the solution to problem D

Is there any editorial for the problems ?

Will there be an tutorial?

Any hint for Problem B? My code meet TLE on test #27

You can use some data structure like binary search tree to get an O(nlgn) algorithm. In C++, you can use std::set conveniently. Just keep updating the answer queues while iterating the array. Without storing all answer queues, we can use next[] array to record the next item of the current item in the final answer queue. And we use std::set to store the last items of each queues. Then we can use upper_bound to find out the proper queue we should append the new item to.

This is my solution: http://codeforces.com/contest/847/submission/30470282

Thanks, I've just passed this problem. But It doesn't need use std::set, just use vector to score the answer sheet, it must in order actually. Using std::set will cost more when lower_bound moving the iterator.

I used check for each end of segment. If current element lower than every end of segment, then create a new segment from this element.

Did you read this? This is TL on 27th test. (submission #30470840)

We need to save some time. Let's change our statement. If current element lower than

lastend of segment, then create a new segment from this element. Else we can check every existing segment. By using one check we won't waste time for useless O(n) checks. (submission #30478989)But yes, since our array of segment ends is sorted, we can use binary search on it.

In Problem H I am trying to solve this way, but got WA in test 7.

My Approach :

First binary search on the list and find such 'k' from which to the last of the sequence is strictly decreasing.

After that, if( list[k-1] <= list[k] ) then change list[k-1] = list[k] + 1 and add the count.

Then I iterate from 0 to (k — 1) and check the condition if( list[i] >= list[i+1] ) then list[i+1] = list[i] + 1 , and add the count.

Please, could anyone tell me what am I missing?

How does one change a nickname here?

Wait for the New Year. On the New Year user can change a handle.

Some hint for problem D?

Greedily, the answer must happens when the dog waits at the start point for some seconds and then run&eat without waiting. So we just need to try how much time the dog waits at the start point.

Optimize the trivial

O(nT) DP solution.can you please give some hints about the optimization?

How do you make sure in questions like F that there is no edge case left to consider? It just happens to me that after thinking for a hour or two about various conditions, there still remains so many conditions leading to WA. Any help is appreciated. Thanks.

How to solve C?

Guess I am too late but probably might help others.

Let $$$M$$$ be the max possible sum we can generate. Then, $$$M=\frac{N * (N - 1)}{2}$$$. Firstly, if $$$K > M$$$, then ans =

"Impossible". Otherwise, we can prove that we can always generate a sum of $$$K$$$.My observation was this: We can obtain $$$M$$$ by sequentially nesting all brackets. Something like this "(((...)))". We can represent this by a sequence $$$S = 0,1,...,N-1$$$ which corresponds to the nesting values of the opening brackets from left to right. Now let's say we want to make a sum of $$$M-1$$$, what we can do is, simply change the nesting value of the rightmost opening bracket, which is currently $$$N-1$$$ to $$$N-2$$$. So, $$$S = 0,1,...N-2,N-2$$$. Similarly, if we want to make $$$M-2$$$, we can decrease the second last number, which is currently $$$N-2$$$ to $$$N-3$$$. So, $$$S=0,1,...,N-3,N-2$$$. We can regenerate the resulting string from sequence $$$S$$$ by any ad-hoc method.

What we are essentially doing is: every time we want to decrease the sum by $$$1$$$, we decrease the nesting value of the leftmost occurrence of the max nesting value in the sequence $$$S$$$ by 1. Using this pattern you can generate all sums from $$$0$$$ to $$$K$$$. Others might have a more elegant approach, but unfortunately it wasn't discussed.